Subject: Re: [PATCH] arm64: swiotlb: Don’tshrink default buffer when bounce is forced

From: Catalin Marinas <[email-masked]>
Date: Wed, 4 Feb 2026 18:52:47 +0000

On Tue, Jan 20, 2026 at 12:31:02PM +0530, Aneesh Kumar K.V (Arm) wrote:
> arm64 reduces the default swiotlb size (for unaligned kmalloc()
> bouncing) when it detects that no swiotlb bouncing is needed.
> 
> If swiotlb bouncing is explicitly forced via the command line
> (swiotlb=force), this heuristic must not apply. Add a swiotlb helper to
> query the forced-bounce state and use it to skip the resize when
> bouncing is forced.

I think the logic you proposed in reply to Robin might work better but
have you actually hit a problem that triggered this patch? Do people
passing swiotlb=force expect a specific size for the buffer?

-- 
Catalin